# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add await qa step to calibration

Revision ID: 46dbb53ae77f
Revises: 6909d5608422
Create Date: 2021-06-24 16:06:30.176007

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "46dbb53ae77f"
down_revision = "6909d5608422"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps='prepare-and-run-workflow std_calibration
await-workflow
await-qa'
        WHERE capability_name='std_calibration'
        """
    )


def downgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps='prepare-and-run-workflow std_calibration
await-workflow'
        WHERE capability_name='std_calibration'
        """
    )
